NXOpen C++ Reference Guide
 All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Pages
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::StandardPartBuilder Class Reference

Represents a builder to be used to create Mold Wizard Standard Part. More...

Inheritance diagram for NXOpen::Tooling::StandardPartBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  EditType { EditTypeAddInstance, EditTypeNewComponent, EditTypeModify }
 Represents the type to edit a standard part. More...
 
enum  RefsetName { RefsetNameTrue, RefsetNameFalse, RefsetNameEntirePart }
 Represents the reference set of the standard part when it is added to the assembly. More...
 

Public Member Functions

void AddConceptObjectsQuietly (const NXString &positionMethod, NXOpen::Tooling::ConceptStandardPartRecord *conceptRecord)
 Adds concept symbols or points quietly. More...
 
void AddConceptObjectsQuietly (const char *positionMethod, NXOpen::Tooling::ConceptStandardPartRecord *conceptRecord)
 Adds concept symbols or points quietly. More...
 
std::vector
< NXOpen::Assemblies::Component * > 
AddStandardPartsToPattern (NXOpen::Part *patternPart, const NXString &fileName, const NXString &refsetName, const NXString &instanceName)
 Adds standard parts to a parent which contains pattern points. More...
 
std::vector
< NXOpen::Assemblies::Component * > 
AddStandardPartsToPattern (NXOpen::Part *patternPart, const char *fileName, const char *refsetName, const char *instanceName)
 Adds standard parts to a parent which contains pattern points. More...
 
bool AssociativePosition ()
 Returns the flag to indicate whether to use the associative position method. More...
 
void ChangeReferenceSet (NXOpen::Assemblies::Component *component, bool addToExtraRefset, const NXString &refsetName)
 Changes the current reference set of the specified component. More...
 
void ChangeReferenceSet (NXOpen::Assemblies::Component *component, bool addToExtraRefset, const char *refsetName)
 Changes the current reference set of the specified component. More...
 
bool CompPattern ()
 Returns the flag to indicate whether to use use pattern component to position a standard part. More...
 
bool ConceptDesign ()
 Returns the flag to indicate whether to add concept symbols instead of real standard parts. More...
 
void EditConceptSymbols (NXOpen::Tooling::ConceptStandardPartRecord *conceptRecord, const std::vector< NXOpen::NXObject * > &entities)
 Edits the dimension of concept symbols. More...
 
void EditDataBase ()
 Edits the data file of the standard item selected in Reuse Member View
Created in NX8.0.0. More...
 
void EditRegister ()
 Edits the registering spread sheet file of the standard item selected in Reuse Member View. More...
 
void EditStandardPartDimensions (NXOpen::Assemblies::Component *component)
 Edits standard part dimensions. More...
 
void Flip ()
 Flips the selected standard part component. More...
 
void FlipComponent (NXOpen::Assemblies::Component *component)
 Flips the selected standard part
Created in NX12.0.2. More...
 
NXOpen::Assemblies::ComponentGetAddedStandardPartOccurrenceItem (int partOccIndex)
 Gets an object in m_addedStandardPartOccs
Created in NX12.0.2. More...
 
int GetAddedStandardPartOccurrencesNumber ()
 Gets number of objects saved in m_addedStandardPartOccs
Created in NX12.0.2. More...
 
NXOpen::Tooling::SpreadsheetDataGetSpreadsheetData ()
 Gets standard part spread sheet data. More...
 
NXOpen::Tooling::StandardPartDataGetStandardPartClientData ()
 Gets standard part client data. More...
 
void Help ()
 Ask help of the selected standard part component. More...
 
void InsertAddedStandardPartOccsItem (NXOpen::Assemblies::Component *component)
 Inserts an object to m_addedStandardPartOccs
Created in NX12.0.2. More...
 
void PerformPostProcessToAddedStandardPart (NXOpen::Assemblies::Component *component)
 Performs post process to the newly added standard part. More...
 
NXOpen::SelectNXObjectPointPattern ()
 Returns the point pattern used to control how to standard parts. More...
 
NXOpen::SelectNXObjectPositioningPlane ()
 Returns the positioning plane used to position a standard part. More...
 
void ReadStandardPartClientDataFromLibrary (bool isFromMemberView, int dataType, const NXString &libName, const NXString &libPath)
 Reads data from the library with given name and path. More...
 
void ReadStandardPartClientDataFromLibrary (bool isFromMemberView, int dataType, const char *libName, const char *libPath)
 Reads data from the library with given name and path. More...
 
void RecommendMoldBasePlateHeight ()
 Recommends A,B and C plate height of mold base according to layout dimension
Created in NX12.0.2. More...
 
void RecommendMoldBaseSize ()
 Recommends mold base size according to layout dimension
Created in NX12.0.2. More...
 
NXOpen::Tooling::StandardPartBuilder::RefsetName ReferenceSet ()
 Returns the reference set currently used to add a new component to an assembly. More...
 
void RemoveComponent ()
 Removes the selected standard part component. More...
 
void RemoveComponent (NXOpen::Assemblies::Component *component)
 Removes the specified standard part component from the current Mold Wizard assembly
Created in NX12.0.2. More...
 
void RemoveMoldBase (NXOpen::Assemblies::Component *component)
 Removes the specified mold base from the current Mold Wizard assembly
Created in NX12.0.2. More...
 
bool RenameComponents ()
 Returns the flag to indicate whether to bring up the Part Name Management dialog. More...
 
void Reposition ()
 Repositions the selected standard part component. More...
 
void ResetStandardPartClientData (int dataType, const NXString &libName, const NXString &libPath)
 Resets client data with specified library. More...
 
void ResetStandardPartClientData (int dataType, const char *libName, const char *libPath)
 Resets client data with specified library. More...
 
void ResetStandardPartClientDataWithLibraryName (const NXString &libName)
 Resets client data with named library. More...
 
void ResetStandardPartClientDataWithLibraryName (const char *libName)
 Resets client data with named library. More...
 
void RotateMoldBase (NXOpen::Assemblies::Component *component, double angle)
 Rotates the specified mold base with given angle
Created in NX12.0.2. More...
 
void SetAssociativePosition (bool associativePosition)
 Sets the flag to indicate whether to use the associative position method. More...
 
void SetCompPattern (bool useCompPattern)
 Sets the flag to indicate whether to use use pattern component to position a standard part. More...
 
void SetConceptDesign (bool conceptDesign)
 Sets the flag to indicate whether to add concept symbols instead of real standard parts. More...
 
void SetIsToAddNewMoldBase (bool isAddMoldBase)
 Sets the flag whether a new mold base is to be added
Created in NX12.0.2. More...
 
void SetReferenceSet (NXOpen::Tooling::StandardPartBuilder::RefsetName referenceSet)
 Sets the reference set currently used to add a new component to an assembly. More...
 
void SetRenameComponents (bool renameComponents)
 Sets the flag to indicate whether to bring up the Part Name Management dialog. More...
 
void SetShowInfoWindow (bool showInfoWindow)
 Sets the flag to indicate whether to show the Information Window. More...
 
void SetSpreadsheetData (NXOpen::Tooling::SpreadsheetData *sheetData)
 Sets standard part spread sheet data. More...
 
void SetStandardPartClientData (NXOpen::Tooling::StandardPartData *standardClientData)
 Sets standard part client data. More...
 
void SetStandardPartEditType (NXOpen::Tooling::StandardPartBuilder::EditType standardPartEditType)
 Sets the standard part edit type of processing the selected component. More...
 
bool ShowInfoWindow ()
 Returns the flag to indicate whether to show the Information Window. More...
 
NXOpen::SelectNXObjectStandardPartComponent ()
 Returns the standard part component which is selected to be edited. More...
 
NXOpen::Tooling::StandardPartBuilder::EditType StandardPartEditType ()
 Returns the standard part edit type of processing the selected component. More...
 
void UpdateConceptMoldBaseExpressions (NXOpen::Part *conceptMoldBasePart)
 Updates expressions of the specified concept mold base
Created in NX12.0.2. More...
 
void UpdateSpreadsheetDataWithObject (NXOpen::NXObject *objectWithParameters, bool isConcpetObject, NXOpen::Tooling::SpreadsheetData *sheetData)
 Updates standard part spread sheet data by reading parameter values from a part, point or symbol. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a builder to be used to create Mold Wizard Standard Part.


To create a new instance of this class, use NXOpen::Tooling::StandardPartCollection::CreateStandardPartBuilder
Default values.

Property Value

AssociativePosition

0

ConceptDesign

0

ReferenceSet

True

RenameComponents

0

ShowInfoWindow

0

StandardPartEditType

AddInstance


Created in NX8.0.0.

Member Enumeration Documentation

Represents the type to edit a standard part.

Enumerator
EditTypeAddInstance 

add instance

EditTypeNewComponent 

new component

EditTypeModify 

modify

Represents the reference set of the standard part when it is added to the assembly.

Enumerator
RefsetNameTrue 

true

RefsetNameFalse 

false

RefsetNameEntirePart 

entire part

Member Function Documentation

void NXOpen::Tooling::StandardPartBuilder::AddConceptObjectsQuietly ( const NXString positionMethod,
NXOpen::Tooling::ConceptStandardPartRecord conceptRecord 
)

Adds concept symbols or points quietly.


Created in NX12.0.2.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
positionMethodThe standard part positioning method
conceptRecordConcept standard part record
void NXOpen::Tooling::StandardPartBuilder::AddConceptObjectsQuietly ( const char *  positionMethod,
NXOpen::Tooling::ConceptStandardPartRecord conceptRecord 
)

Adds concept symbols or points quietly.


Created in NX12.0.2.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
positionMethodThe standard part positioning method
conceptRecordConcept standard part record
std::vector<NXOpen::Assemblies::Component *> NXOpen::Tooling::StandardPartBuilder::AddStandardPartsToPattern ( NXOpen::Part patternPart,
const NXString fileName,
const NXString refsetName,
const NXString instanceName 
)

Adds standard parts to a parent which contains pattern points.

Returns
The added components
Created in NX12.0.2.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")
Parameters
patternPartThe parent part to add a component
fileNameFile name of the component to add
refsetNameNew reference set applied to the added component
instanceNameNew instance name applied to the added component
std::vector<NXOpen::Assemblies::Component *> NXOpen::Tooling::StandardPartBuilder::AddStandardPartsToPattern ( NXOpen::Part patternPart,
const char *  fileName,
const char *  refsetName,
const char *  instanceName 
)

Adds standard parts to a parent which contains pattern points.

Returns
The added components
Created in NX12.0.2.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")
Parameters
patternPartThe parent part to add a component
fileNameFile name of the component to add
refsetNameNew reference set applied to the added component
instanceNameNew instance name applied to the added component
bool NXOpen::Tooling::StandardPartBuilder::AssociativePosition ( )

Returns the flag to indicate whether to use the associative position method.


Created in NX8.0.0.

License requirements : None

void NXOpen::Tooling::StandardPartBuilder::ChangeReferenceSet ( NXOpen::Assemblies::Component component,
bool  addToExtraRefset,
const NXString refsetName 
)

Changes the current reference set of the specified component.


Created in NX12.0.2.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
componentThe component to change reference set
addToExtraRefsetWhether to add the component to 'TRUE' and 'FALSE' reference set of its parent part
refsetNameNew reference set applied to the component
void NXOpen::Tooling::StandardPartBuilder::ChangeReferenceSet ( NXOpen::Assemblies::Component component,
bool  addToExtraRefset,
const char *  refsetName 
)

Changes the current reference set of the specified component.


Created in NX12.0.2.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
componentThe component to change reference set
addToExtraRefsetWhether to add the component to 'TRUE' and 'FALSE' reference set of its parent part
refsetNameNew reference set applied to the component
bool NXOpen::Tooling::StandardPartBuilder::CompPattern ( )

Returns the flag to indicate whether to use use pattern component to position a standard part.


Created in NX12.0.2.

License requirements : None

bool NXOpen::Tooling::StandardPartBuilder::ConceptDesign ( )

Returns the flag to indicate whether to add concept symbols instead of real standard parts.


Created in NX8.0.0.

License requirements : None

void NXOpen::Tooling::StandardPartBuilder::EditConceptSymbols ( NXOpen::Tooling::ConceptStandardPartRecord conceptRecord,
const std::vector< NXOpen::NXObject * > &  entities 
)

Edits the dimension of concept symbols.


Created in NX12.0.2.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
conceptRecordConcept standard part record
entitiesEntities regarded as concept objects
void NXOpen::Tooling::StandardPartBuilder::EditDataBase ( )

Edits the data file of the standard item selected in Reuse Member View
Created in NX8.0.0.



License requirements : None

void NXOpen::Tooling::StandardPartBuilder::EditRegister ( )

Edits the registering spread sheet file of the standard item selected in Reuse Member View.


Created in NX8.0.0.

License requirements : None

void NXOpen::Tooling::StandardPartBuilder::EditStandardPartDimensions ( NXOpen::Assemblies::Component component)

Edits standard part dimensions.


Created in NX12.0.2.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
componentThe component to be edited
void NXOpen::Tooling::StandardPartBuilder::Flip ( )

Flips the selected standard part component.


Created in NX8.0.0.

License requirements : None

void NXOpen::Tooling::StandardPartBuilder::FlipComponent ( NXOpen::Assemblies::Component component)

Flips the selected standard part
Created in NX12.0.2.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
componentThe standard part component to flip
NXOpen::Assemblies::Component* NXOpen::Tooling::StandardPartBuilder::GetAddedStandardPartOccurrenceItem ( int  partOccIndex)

Gets an object in m_addedStandardPartOccs
Created in NX12.0.2.



License requirements : None

Parameters
partOccIndexpartoccindex
int NXOpen::Tooling::StandardPartBuilder::GetAddedStandardPartOccurrencesNumber ( )

Gets number of objects saved in m_addedStandardPartOccs
Created in NX12.0.2.



License requirements : None

NXOpen::Tooling::SpreadsheetData* NXOpen::Tooling::StandardPartBuilder::GetSpreadsheetData ( )

Gets standard part spread sheet data.

Returns
A NXOpen::Tooling::SpreadsheetData instance
Created in NX12.0.2.

License requirements : None
NXOpen::Tooling::StandardPartData* NXOpen::Tooling::StandardPartBuilder::GetStandardPartClientData ( )

Gets standard part client data.

Returns
A NXOpen::Tooling::StandardPartData instance
Created in NX12.0.2.

License requirements : None
void NXOpen::Tooling::StandardPartBuilder::Help ( )

Ask help of the selected standard part component.


Created in NX8.0.0.

License requirements : None

void NXOpen::Tooling::StandardPartBuilder::InsertAddedStandardPartOccsItem ( NXOpen::Assemblies::Component component)

Inserts an object to m_addedStandardPartOccs
Created in NX12.0.2.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
componentThe standard part component to add to the saving list
void NXOpen::Tooling::StandardPartBuilder::PerformPostProcessToAddedStandardPart ( NXOpen::Assemblies::Component component)

Performs post process to the newly added standard part.


Created in NX12.0.2.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
componentThe component to be edited
NXOpen::SelectNXObject* NXOpen::Tooling::StandardPartBuilder::PointPattern ( )

Returns the point pattern used to control how to standard parts.


Created in NX8.0.0.

License requirements : None

NXOpen::SelectNXObject* NXOpen::Tooling::StandardPartBuilder::PositioningPlane ( )

Returns the positioning plane used to position a standard part.


Created in NX8.0.0.

License requirements : None

void NXOpen::Tooling::StandardPartBuilder::ReadStandardPartClientDataFromLibrary ( bool  isFromMemberView,
int  dataType,
const NXString libName,
const NXString libPath 
)

Reads data from the library with given name and path.


Created in NX12.0.2.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
isFromMemberViewTrue if an item is dragged from reuse library
dataTypeThe data type of the library
libNameLibrary name
libPathLibrary path
void NXOpen::Tooling::StandardPartBuilder::ReadStandardPartClientDataFromLibrary ( bool  isFromMemberView,
int  dataType,
const char *  libName,
const char *  libPath 
)

Reads data from the library with given name and path.


Created in NX12.0.2.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
isFromMemberViewTrue if an item is dragged from reuse library
dataTypeThe data type of the library
libNameLibrary name
libPathLibrary path
void NXOpen::Tooling::StandardPartBuilder::RecommendMoldBasePlateHeight ( )

Recommends A,B and C plate height of mold base according to layout dimension
Created in NX12.0.2.



License requirements : ug_mold_design ("UG MOLD")

void NXOpen::Tooling::StandardPartBuilder::RecommendMoldBaseSize ( )

Recommends mold base size according to layout dimension
Created in NX12.0.2.



License requirements : ug_mold_design ("UG MOLD")

NXOpen::Tooling::StandardPartBuilder::RefsetName NXOpen::Tooling::StandardPartBuilder::ReferenceSet ( )

Returns the reference set currently used to add a new component to an assembly.


Created in NX8.0.0.

License requirements : None

void NXOpen::Tooling::StandardPartBuilder::RemoveComponent ( )

Removes the selected standard part component.


Created in NX8.0.0.

License requirements : None

void NXOpen::Tooling::StandardPartBuilder::RemoveComponent ( NXOpen::Assemblies::Component component)

Removes the specified standard part component from the current Mold Wizard assembly
Created in NX12.0.2.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
componentThe standard part component to remove
void NXOpen::Tooling::StandardPartBuilder::RemoveMoldBase ( NXOpen::Assemblies::Component component)

Removes the specified mold base from the current Mold Wizard assembly
Created in NX12.0.2.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
componentThe mold base component to remove
bool NXOpen::Tooling::StandardPartBuilder::RenameComponents ( )

Returns the flag to indicate whether to bring up the Part Name Management dialog.


Created in NX8.0.0.

License requirements : None

void NXOpen::Tooling::StandardPartBuilder::Reposition ( )

Repositions the selected standard part component.


Created in NX8.0.0.

License requirements : None

void NXOpen::Tooling::StandardPartBuilder::ResetStandardPartClientData ( int  dataType,
const NXString libName,
const NXString libPath 
)

Resets client data with specified library.


Created in NX12.0.2.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
dataTypeThe data type of the library
libNameLibrary name
libPathLibrary path
void NXOpen::Tooling::StandardPartBuilder::ResetStandardPartClientData ( int  dataType,
const char *  libName,
const char *  libPath 
)

Resets client data with specified library.


Created in NX12.0.2.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
dataTypeThe data type of the library
libNameLibrary name
libPathLibrary path
void NXOpen::Tooling::StandardPartBuilder::ResetStandardPartClientDataWithLibraryName ( const NXString libName)

Resets client data with named library.


Created in NX12.0.2.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
libNameLibrary name
void NXOpen::Tooling::StandardPartBuilder::ResetStandardPartClientDataWithLibraryName ( const char *  libName)

Resets client data with named library.


Created in NX12.0.2.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
libNameLibrary name
void NXOpen::Tooling::StandardPartBuilder::RotateMoldBase ( NXOpen::Assemblies::Component component,
double  angle 
)

Rotates the specified mold base with given angle
Created in NX12.0.2.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
componentThe mold base component to rotate
angleThe input angle used to rotate the mold base
void NXOpen::Tooling::StandardPartBuilder::SetAssociativePosition ( bool  associativePosition)

Sets the flag to indicate whether to use the associative position method.


Created in NX8.0.0.

License requirements : None

Parameters
associativePositionassociativeposition
void NXOpen::Tooling::StandardPartBuilder::SetCompPattern ( bool  useCompPattern)

Sets the flag to indicate whether to use use pattern component to position a standard part.


Created in NX12.0.2.

License requirements : None

Parameters
useCompPatternusecomppattern
void NXOpen::Tooling::StandardPartBuilder::SetConceptDesign ( bool  conceptDesign)

Sets the flag to indicate whether to add concept symbols instead of real standard parts.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
conceptDesignconceptdesign
void NXOpen::Tooling::StandardPartBuilder::SetIsToAddNewMoldBase ( bool  isAddMoldBase)

Sets the flag whether a new mold base is to be added
Created in NX12.0.2.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
isAddMoldBaseTrue if the user chooses to add a new mold base
void NXOpen::Tooling::StandardPartBuilder::SetReferenceSet ( NXOpen::Tooling::StandardPartBuilder::RefsetName  referenceSet)

Sets the reference set currently used to add a new component to an assembly.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
referenceSetreferenceset
void NXOpen::Tooling::StandardPartBuilder::SetRenameComponents ( bool  renameComponents)

Sets the flag to indicate whether to bring up the Part Name Management dialog.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
renameComponentsrenamecomponents
void NXOpen::Tooling::StandardPartBuilder::SetShowInfoWindow ( bool  showInfoWindow)

Sets the flag to indicate whether to show the Information Window.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
showInfoWindowshowinfowindow
void NXOpen::Tooling::StandardPartBuilder::SetSpreadsheetData ( NXOpen::Tooling::SpreadsheetData sheetData)

Sets standard part spread sheet data.


Created in NX12.0.2.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
sheetDataSpreadsheet data
void NXOpen::Tooling::StandardPartBuilder::SetStandardPartClientData ( NXOpen::Tooling::StandardPartData standardClientData)

Sets standard part client data.


Created in NX12.0.2.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
standardClientDataA NXOpen::Tooling::StandardPartData instance
void NXOpen::Tooling::StandardPartBuilder::SetStandardPartEditType ( NXOpen::Tooling::StandardPartBuilder::EditType  standardPartEditType)

Sets the standard part edit type of processing the selected component.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
standardPartEditTypestandardpartedittype
bool NXOpen::Tooling::StandardPartBuilder::ShowInfoWindow ( )

Returns the flag to indicate whether to show the Information Window.


Created in NX8.0.0.

License requirements : None

NXOpen::SelectNXObject* NXOpen::Tooling::StandardPartBuilder::StandardPartComponent ( )

Returns the standard part component which is selected to be edited.


Created in NX8.0.0.

License requirements : None

NXOpen::Tooling::StandardPartBuilder::EditType NXOpen::Tooling::StandardPartBuilder::StandardPartEditType ( )

Returns the standard part edit type of processing the selected component.


Created in NX8.0.0.

License requirements : None

void NXOpen::Tooling::StandardPartBuilder::UpdateConceptMoldBaseExpressions ( NXOpen::Part conceptMoldBasePart)

Updates expressions of the specified concept mold base
Created in NX12.0.2.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
conceptMoldBasePartThe mold base part to update expressions
void NXOpen::Tooling::StandardPartBuilder::UpdateSpreadsheetDataWithObject ( NXOpen::NXObject objectWithParameters,
bool  isConcpetObject,
NXOpen::Tooling::SpreadsheetData sheetData 
)

Updates standard part spread sheet data by reading parameter values from a part, point or symbol.


Created in NX12.0.2.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
objectWithParametersThe object where parameter values to be read
isConcpetObjectTrue if the object is a concept one( a point or symbol with special attributes)
sheetDataSpreadsheet data

The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.